Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 692770

Summary: sys-apps/heirloom-tools-070715-r1 : shl.c:90:10: fatal error: stropts.h: No such file or directory
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Patrick Lauer <patrick>
Status: RESOLVED FIXED    
Severity: normal Keywords: PullRequest
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/14693
https://bugs.gentoo.org/show_bug.cgi?id=691846
Whiteboard: ~arch only
Package list:
Runtime testing required: ---
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
sys-apps:heirloom-tools-070715-r1:20190823-102927.log
temp.tbz2

Description Toralf Förster gentoo-dev 2019-08-23 15:42:45 UTC
make[1]: Entering directory '/var/tmp/portage/sys-apps/heirloom-tools-070715-r1/work/heirloom-070715/shl'
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -D_GNU_SOURCE   -I../libcommon -DSV3BIN='"/usr/5bin"' -DDEFBIN='"/usr/5bin"' -c shl.c
shl.c:90:10: fatal error: stropts.h: No such file or directory
   90 | #include <stropts.h>
      |          ^~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-20190820-161702

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.13.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO sys-apps/heirloom-tools
[ebuild  N    ] sys-apps/heirloom-tools-070715-r1
Comment 1 Toralf Förster gentoo-dev 2019-08-23 15:42:47 UTC
Created attachment 587856 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-23 15:42:50 UTC
Created attachment 587858 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-08-23 15:42:53 UTC
Created attachment 587860 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-08-23 15:42:56 UTC
Created attachment 587862 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-08-23 15:42:58 UTC
Created attachment 587864 [details]
sys-apps:heirloom-tools-070715-r1:20190823-102927.log
Comment 6 Toralf Förster gentoo-dev 2019-08-23 15:43:01 UTC
Created attachment 587866 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-03-10 19:35:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18402f2ef1d009c5141c7dd628ab1cc7edea2d91

commit 18402f2ef1d009c5141c7dd628ab1cc7edea2d91
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-02-18 15:31:45 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-03-10 19:35:44 +0000

    sys-apps/heirloom-tools: fix building with glibc 2.30
    
    While at it, fix patching with fuzz.
    
    Closes: https://bugs.gentoo.org/692770
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Closes: https://github.com/gentoo/gentoo/pull/14693
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../files/heirloom-tools-070715-glibc-2.30.patch   | 13 ++++
 .../files/heirloom-tools-070715-major.patch        | 70 +++++++++++++++++++++-
 .../heirloom-tools/heirloom-tools-070715-r1.ebuild |  8 +--
 3 files changed, 82 insertions(+), 9 deletions(-)